%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary: 	An interface to MySQL
Name: 		python26-mysql
Version: 	1.2.3
Release: 	2
BuildArch:	i686
License: 	GPLv2+
Group: 		Development/Libraries
URL: 		http://sourceforge.net/projects/mysql-python/
Source0: 	http://prdownloads.sourceforge.net/mysql-python/MySQL-python-%{version}c1.tar.gz
Patch1: 	format-mismatch.patch
Patch2: 	escape-fix.patch
BuildRequires: python26-devel python26-setuptools
BuildRequires: mysql-devel zlib-devel openssl-devel python26-pyopenssl

%description
Python interface to MySQL

MySQLdb is an interface to the popular MySQL database server for Python.
The design goals are:

-     Compliance with Python database API version 2.0 
-     Thread-safety 
-     Thread-friendliness (threads will not block each other) 
-     Compatibility with MySQL 3.23 and up

This module should be mostly compatible with an older interface
written by Joe Skinner and others. However, the older version is
a) not thread-friendly, b) written for MySQL 3.21, c) apparently
not actively maintained. No code from that version is used in MySQLdb.

%prep
%setup -q -n MySQL-python-%{version}c1

%patch1 -p1
%patch2 -p1

%build
rm -f doc/*~
export libdirname=%{_lib}
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT

export libdirname=%{_lib}
%{__python} setup.py install --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%defattr(-,root,root)
%doc README GPL doc/*
%dir %{_libdir}/python?.?/site-packages/MySQLdb
#%{_libdir}/python?.?/site-packages/MySQLdb/*.pyo
#%{_libdir}/python?.?/site-packages/MySQLdb/constants/*.pyo
#%{_libdir}/python?.?/site-packages/*.pyo
%dir /usr/%{_lib}/python?.?/site-packages/MySQLdb/constants

%changelog
* Mon Jun 28 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.2.3-2
- rebuilt against mysql 5.1.47
* Mon Dec 07 2009 Christian Metzen <metzench@ccux-linux.de> 1.2.3-1
- Initial CCux package release
